Class | Fog::Compute::Libvirt::Pool
In: | lib/fog/libvirt/models/compute/pool.rb
Parent: | Fog::Model

### Methods

active? auto_start? build destroy new persistent? save shutdown start stop volumes

### Attributes

xml | [R] |

### Public Class methods

new(attributes={} )

### Public Instance methods

active?()

Is the pool active or not?

auto_start?()

Will the pool autostart or not?

build()

Build this storage pool

destroy()

Destroys the storage pool

persistent?()

Is the pool persistent or not?

save()
shutdown()

Shuts down the pool

start()

Start the pool = make it active Performs a libvirt create (= start)

stop()

Stop the pool = make it non-active Performs a libvirt destroy (= stop)

volumes()

Retrieves the volumes of this pool

[Validate]